curl --request POST \
--url https://api.example.com/api/sca/deployments/{deploymentId}/{repositoryId}/lockfiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"repositoryId": "<string>",
"dependencyFilter": {
"name": "<string>",
"version": "<string>",
"repositoryId": [
123
],
"lockfilePath": "<string>",
"license": [
"<string>"
],
"packageFilters": [
{
"name": "<string>",
"versionLowerBound": "<string>",
"versionUpperBound": "<string>",
"exactVersion": "<string>",
"exactNameMatch": true
}
]
},
"cursor": "<string>",
"pageSize": 100
}
'import requests
url = "https://api.example.com/api/sca/deployments/{deploymentId}/{repositoryId}/lockfiles"
payload = {
"deploymentId": "<string>",
"repositoryId": "<string>",
"dependencyFilter": {
"name": "<string>",
"version": "<string>",
"repositoryId": [123],
"lockfilePath": "<string>",
"license": ["<string>"],
"packageFilters": [
{
"name": "<string>",
"versionLowerBound": "<string>",
"versionUpperBound": "<string>",
"exactVersion": "<string>",
"exactNameMatch": True
}
]
},
"cursor": "<string>",
"pageSize": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
repositoryId: '<string>',
dependencyFilter: {
name: '<string>',
version: '<string>',
repositoryId: [123],
lockfilePath: '<string>',
license: ['<string>'],
packageFilters: [
{
name: '<string>',
versionLowerBound: '<string>',
versionUpperBound: '<string>',
exactVersion: '<string>',
exactNameMatch: true
}
]
},
cursor: '<string>',
pageSize: 100
})
};
fetch('https://api.example.com/api/sca/deployments/{deploymentId}/{repositoryId}/lockfiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lockfileSummaries": [
{
"lockfilePath": "<string>",
"numDependencies": 123
}
],
"hasMore": true,
"cursor": "<string>"
}List lockfiles with dependencies in a given repository
Returns all (or filtered) lockfiles that contain dependencies within the specified repository
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.
Repository ID to filter by. Use Projects endpoints to retrieve repository IDs.
Body
Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.
Repository ID to filter by. Use Projects endpoints to retrieve repository IDs.
Object to provide dependency details to filter by.
Show child attributes
Show child attributes
Use cursor in response to get next page of results.
Number of repositories per page.
1 <= x <= 100100
Was this page helpful?